"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAliasCommand = void 0;
const alias_list_1 = require("./alias-list");
const alias_remove_1 = require("./alias-remove");
const alias_set_1 = require("./alias-set");
function createAliasCommand(yargs) {
    yargs.command('alias [command]', 'Manage aliases', (yargs) => {
        (0, alias_list_1.createAliasListCommand)(yargs);
        (0, alias_remove_1.createAliasRemoveCommand)(yargs);
        (0, alias_set_1.createAliasSetCommand)(yargs);
        yargs.demandCommand();
    });
}
exports.createAliasCommand = createAliasCommand;
