"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.globalMiddlewareOptions = exports.globalMiddleware = void 0;
const globalMiddleware = (argv) => {
    if (typeof argv.verbose === 'boolean') {
        argv.logLevel = argv.verbose ? 'verbose' : 'none';
    }
    argv.commandCwd = process.cwd();
};
exports.globalMiddleware = globalMiddleware;
const globalMiddlewareOptions = {
    verbose: {
        type: 'boolean',
        description: 'Run with verbose logging.',
    },
};
exports.globalMiddlewareOptions = globalMiddlewareOptions;
