"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeploymentCommand = void 0;
const deployment_list_1 = require("./deployment-list");
const deployment_remove_1 = require("./deployment-remove");
function createDeploymentCommand(yargs) {
    yargs.command('deployment [command]', 'Manage deployments', async (yargs) => {
        (0, deployment_list_1.createDeploymentListCommand)(yargs);
        (0, deployment_remove_1.createDeploymentRemoveCommand)(yargs);
        yargs.demandCommand();
    });
}
exports.createDeploymentCommand = createDeploymentCommand;
